//
//  FacebookOAuthHelper.h
//  FacebookOAuth
//
//  Created by Reid Simonton on 2/7/14.
//  Copyright (c) 2014 Temboo, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TMBChoreography.h"

@protocol FacebookOAuthHelperDelegate <NSObject>
@optional
-(void)authorizationUrlDidLoad:(NSString*)url;
-(void)oauthDidFinalize:(NSString*)accessToken;
@end

@interface FacebookOAuthHelper : NSObject <TMBChoreographyDelegate>
-(void)finalizeOAuthForDelegate:(id)delegate;
-(void)getAuthorizationUrlWithForwardingURL:(NSString*)url delegate:(id)delegate;
-(TMBTembooSession*)getUserSession;
@end
